Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Interface SnmpConstants

All Known Implementing Classes:
  AsnObject

public interface SnmpConstants

This interface contains most of the constants used in the stack.

Version:
  $Revision: 3.10 $ $Date: 2006/03/23 14:54:10 $
Author:
  Birgit Arkesteijn

Field Summary
`static byte` | `ASN_APPLICATION`
`static byte` | `ASN_BIT_STR`
`static byte` | `ASN_BIT8`
`static byte` | `ASN_BOOLEAN`
`static byte` | `ASN_CONSTRUCTOR`
`static byte` | `ASN_CONTEXT`
`static byte` | `ASN_EXTENSION_ID`
`static byte` | `ASN_INTEGER`
`static byte` | `ASN_LONG_LEN`
`static byte` | `ASN_NULL`
`static byte` | `ASN_OBJECT_ID`
`static byte` | `ASN_OCTET_STR`
`static byte` | `ASN_PRIMITIVE`
`static byte` | `ASN_PRIVATE`
`static byte` | `ASN_SEQUENCE`
`static byte` | `ASN_SET`
`static byte` | `ASN_UNIVERSAL`
`static byte` | `CONS_SEQ`
`static byte` | `COUNTER`
`static byte` | `COUNTER64`
`static byte` | `GAUGE`
`static byte` | `GET_REQ_MSG` The GetRequest PDU type.
`static byte` | `GET_RPRT_MSG` The GetReport PDU type.
`static byte` | `GET_RSP_MSG` The Response PDU type.
`static byte` | `GETBULK_REQ_MSG` The GetBulkRequest PDU type.
`static byte` | `GETNEXT_REQ_MSG` The GetNextRequest PDU type.
`static byte` | `INFORM_REQ_MSG` The InformRequest PDU type.
`static byte` | `INTEGER`
`static byte` | `IPADDRESS` IPv4 address only
`static byte` | `NSAP_ADDRESS` for OSI NSAP addresses (see RFC 1442, is obsoleted by RFC 2578).
`static byte` | `NULLOBJ`
`static byte` | `OBJID`
`static byte` | `OBSOLETED_RFC1442_UINTEGER32` an unsigned 32-bit quantity (see RFC 1902, is obsoleted by SNMPv2-SMI).
`static byte` | `OPAQUE`
`static byte` | `SET_REQ_MSG` The SetRequest PDU type.
`static byte` | `SMI_V2_UINTEGER32` an unsigned 32-bit quantity.
`static byte` | `SNMP_ERR_AUTHORIZATIONERR` Users is has no access privileges.
`static byte` | `SNMP_ERR_BADVALUE` The object does not manifest a type, length, and value that is consistent with that required for the variable.
`static byte` | `SNMP_ERR_COMMITFAILED` Any of the assignments failed and all other assignments were undone.
`static byte` | `SNMP_ERR_DECODING_EXC` A general decoding exception occured whilst decoding the response.
`static byte` | `SNMP_ERR_DECODINGASN_EXC` A specific decoding exception occured whilst decoding the response.
`static byte` | `SNMP_ERR_DECODINGPKTLNGTH_EXC` A specific decoding exception occured whilst decoding the response.
`static byte` | `SNMP_ERR_GENERR` The value of an object cannot be retrieved for reasons not covered by any of other errors.
`static byte` | `SNMP_ERR_INCONSISTENTNAME` The variable binding's name specifies a variable which does not exist but can not be created under the present circumstances (even though it could be created under other circumstances).
`static byte` | `SNMP_ERR_INCONSISTENTVALUE` The variable binding's value field specifies a value that could under other circumstances be held by the variable, but is presently inconsistent or otherwise unable to be assigned to the variable.
`static byte` | `SNMP_ERR_NOACCESS` The variable binding's name specifies an existing or non-existent variable to which this request is/would be denied access because it is/would not be in the appropriate MIB view.
`static byte` | `SNMP_ERR_NOCREATION` The variable binding's name specifies a variable which does not exist and could not ever be created (even though some variables sharing the same OBJECT IDENTIFIER prefix might under some circumstances be able to be created).
`static byte` | `SNMP_ERR_NOERROR` No error in the PDU response.
`static byte` | `SNMP_ERR_NOSUCHNAME` The object is not available or the object's name does not exactly match.
`static byte` | `SNMP_ERR_NOTWRITABLE` There are no variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name, and which are able to be created or modified no matter what new value is specified.
`static byte` | `SNMP_ERR_READONLY` The object can not be set, only read.
`static byte` | `SNMP_ERR_RESOURCEUNAVAILABLE` The assignment of the value specified by the variable binding's value field to the specified variable requires the allocation of a resource which is presently unavailable.
`static byte` | `SNMP_ERR_TOOBIG` The size of the generated response PDU would exceed a local limitation.
`static byte` | `SNMP_ERR_UNDOFAILED` Any of the assignments failed and all other assignments were undone, but is was not possible to undo all the assignments.
`static byte` | `SNMP_ERR_WRONGENCODING` Otherwise, if the variable binding's value field contains an ASN.1 encoding which is inconsistent with that field's ASN.1 tag.
`static byte` | `SNMP_ERR_WRONGLENGTH` The variable binding's value field specifies a length which is inconsistent with that required for all variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name.
`static byte` | `SNMP_ERR_WRONGTYPE` The variable binding's value field specifies a type which is inconsistent with that required for all variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name.
`static byte` | `SNMP_ERR_WRONGVALUE` The variable binding's value field specifies a value which could under no circumstances be assigned to the variable.
`static byte` | `SNMP_TRAP_AUTHFAIL` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_COLDSTART` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_EGPNEIGHBORLOSS` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_ENTERPRISESPECIFIC` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_LINKDOWN` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_LINKUP` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_TRAP_WARMSTART` Value for the `GenericTrap` field in SNMPv1 Trap.
`static byte` | `SNMP_VAR_ENDOFMIBVIEW` Indicated an attempt to reference an object identifier that is beyond the end of the MIB at the agent.
`static byte` | `SNMP_VAR_NOSUCHINSTANCE` Indicated that this object does not exists for this operation.
`static byte` | `SNMP_VAR_NOSUCHOBJECT` Indicated the agent does not implement the object referred to by this object identifier.
`static byte` | `SNMP_VERSION_1` The version number for SNMPv1.
`static byte` | `SNMP_VERSION_2c` The version number for SNMPv2c.
`static byte` | `SNMP_VERSION_3` The version number for SNMPv3.
`static byte` | `STRING`
`static byte` | `TIMETICKS`
`static byte` | `TRP_REQ_MSG` The SNMPv1 Trap PDU type.
`static byte` | `TRPV2_REQ_MSG` The SNMPv2 (and SNMPv3) Trap PDU type.
`static java.lang.String` | `version_id`

Field Detail

### version_id

    public static final java.lang.String version_id

See Also:
  Constant Field Values

### ASN_BOOLEAN

    public static final byte ASN_BOOLEAN

See Also:
  Constant Field Values

### ASN_INTEGER

    public static final byte ASN_INTEGER

See Also:
  Constant Field Values

### ASN_BIT_STR

    public static final byte ASN_BIT_STR

See Also:
  Constant Field Values

### ASN_OCTET_STR

    public static final byte ASN_OCTET_STR

See Also:
  Constant Field Values

### ASN_NULL

    public static final byte ASN_NULL

See Also:
  Constant Field Values

### ASN_OBJECT_ID

    public static final byte ASN_OBJECT_ID

See Also:
  Constant Field Values

### ASN_SEQUENCE

    public static final byte ASN_SEQUENCE

See Also:
  Constant Field Values

### ASN_SET

    public static final byte ASN_SET

See Also:
  Constant Field Values

### ASN_UNIVERSAL

    public static final byte ASN_UNIVERSAL

See Also:
  Constant Field Values

### ASN_APPLICATION

    public static final byte ASN_APPLICATION

See Also:
  Constant Field Values

### ASN_CONTEXT

    public static final byte ASN_CONTEXT

See Also:
  Constant Field Values

### ASN_PRIVATE

    public static final byte ASN_PRIVATE

See Also:
  Constant Field Values

### ASN_PRIMITIVE

    public static final byte ASN_PRIMITIVE

See Also:
  Constant Field Values

### ASN_CONSTRUCTOR

    public static final byte ASN_CONSTRUCTOR

See Also:
  Constant Field Values

### ASN_LONG_LEN

    public static final byte ASN_LONG_LEN

See Also:
  Constant Field Values

### ASN_EXTENSION_ID

    public static final byte ASN_EXTENSION_ID

See Also:
  Constant Field Values

### ASN_BIT8

    public static final byte ASN_BIT8

See Also:
  Constant Field Values

### INTEGER

    public static final byte INTEGER

See Also:
  Constant Field Values

### STRING

    public static final byte STRING

See Also:
  Constant Field Values

### OBJID

    public static final byte OBJID

See Also:
  Constant Field Values

### NULLOBJ

    public static final byte NULLOBJ

See Also:
  Constant Field Values

### IPADDRESS

    public static final byte IPADDRESS

  IPv4 address only

  See Also:
    Constant Field Values

### COUNTER

    public static final byte COUNTER

See Also:
  Constant Field Values

### GAUGE

    public static final byte GAUGE

See Also:
  Constant Field Values

### TIMETICKS

    public static final byte TIMETICKS

See Also:
  Constant Field Values

### OPAQUE

    public static final byte OPAQUE

See Also:
  Constant Field Values

### COUNTER64

    public static final byte COUNTER64

See Also:
  Constant Field Values

### NSAP_ADDRESS

    public static final byte NSAP_ADDRESS

  for OSI NSAP addresses (see RFC 1442, is obsoleted by RFC 2578).

  See Also:
    Constant Field Values

### OBSOLETED_RFC1442_UINTEGER32

    public static final byte OBSOLETED_RFC1442_UINTEGER32

  an unsigned 32-bit quantity (see RFC 1902, is obsoleted by SNMPv2-SMI).

  Was called UINTEGER32. Renamed it in version 4_13.

  See Also:
    Constant Field Values

### SMI_V2_UINTEGER32

    public static final byte SMI_V2_UINTEGER32

  an unsigned 32-bit quantity. This equals GAUGE. (see SNMPv2-SMI).

  See Also:
    Constant Field Values

### SNMP_TRAP_COLDSTART

    public static final byte SNMP_TRAP_COLDSTART

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_WARMSTART

    public static final byte SNMP_TRAP_WARMSTART

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_LINKDOWN

    public static final byte SNMP_TRAP_LINKDOWN

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_LINKUP

    public static final byte SNMP_TRAP_LINKUP

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_AUTHFAIL

    public static final byte SNMP_TRAP_AUTHFAIL

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_EGPNEIGHBORLOSS

    public static final byte SNMP_TRAP_EGPNEIGHBORLOSS

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_TRAP_ENTERPRISESPECIFIC

    public static final byte SNMP_TRAP_ENTERPRISESPECIFIC

  Value for the `GenericTrap` field in SNMPv1 Trap.

  See Also:
    Constant Field Values

### SNMP_VAR_NOSUCHOBJECT

    public static final byte SNMP_VAR_NOSUCHOBJECT

  Indicated the agent does not implement the object referred to by this object identifier. Used in varbind list in response to SNMPv2c, SNMPv3 getRequest.

  See Also:
    Constant Field Values

### SNMP_VAR_NOSUCHINSTANCE

    public static final byte SNMP_VAR_NOSUCHINSTANCE

  Indicated that this object does not exists for this operation. Used in varbind list in response to SNMPv2c, SNMPv3 getRequest.

  See Also:
    Constant Field Values

### SNMP_VAR_ENDOFMIBVIEW

    public static final byte SNMP_VAR_ENDOFMIBVIEW

  Indicated an attempt to reference an object identifier that is beyond the end of the MIB at the agent. Used in varbind list in response to SNMPv2c, SNMPv3 getRequest or getBulkRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_NOERROR

    public static final byte SNMP_ERR_NOERROR

  No error in the PDU response. Used in SNMPv1, SNMPv2c, SNMPv3.

  See Also:
    Constant Field Values

### SNMP_ERR_TOOBIG

    public static final byte SNMP_ERR_TOOBIG

  The size of the generated response PDU would exceed a local limitation. Used in SNMPv1, SNMPv2c, SNMPv3.

  See Also:
    Constant Field Values

### SNMP_ERR_NOSUCHNAME

    public static final byte SNMP_ERR_NOSUCHNAME

  The object is not available or the object's name does not exactly match. Only used in SNMPv1.

  See Also:
    Constant Field Values

### SNMP_ERR_BADVALUE

    public static final byte SNMP_ERR_BADVALUE

  The object does not manifest a type, length, and value that is consistent with that required for the variable. Only used in response to SNMPv1 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_READONLY

    public static final byte SNMP_ERR_READONLY

  The object can not be set, only read. Only used in response to SNMPv1 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_GENERR

    public static final byte SNMP_ERR_GENERR

  The value of an object cannot be retrieved for reasons not covered by any of other errors. Used in SNMPv1, SNMPv2c, SNMPv3.

  See Also:
    Constant Field Values

### SNMP_ERR_NOACCESS

    public static final byte SNMP_ERR_NOACCESS

  The variable binding's name specifies an existing or non-existent variable to which this request is/would be denied access because it is/would not be in the appropriate MIB view. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_WRONGTYPE

    public static final byte SNMP_ERR_WRONGTYPE

  The variable binding's value field specifies a type which is inconsistent with that required for all variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_WRONGLENGTH

    public static final byte SNMP_ERR_WRONGLENGTH

  The variable binding's value field specifies a length which is inconsistent with that required for all variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_WRONGENCODING

    public static final byte SNMP_ERR_WRONGENCODING

  Otherwise, if the variable binding's value field contains an ASN.1 encoding which is inconsistent with that field's ASN.1 tag. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_WRONGVALUE

    public static final byte SNMP_ERR_WRONGVALUE

  The variable binding's value field specifies a value which could under no circumstances be assigned to the variable. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_NOCREATION

    public static final byte SNMP_ERR_NOCREATION

  The variable binding's name specifies a variable which does not exist and could not ever be created (even though some variables sharing the same OBJECT IDENTIFIER prefix might under some circumstances be able to be created). Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_INCONSISTENTVALUE

    public static final byte SNMP_ERR_INCONSISTENTVALUE

  The variable binding's value field specifies a value that could under other circumstances be held by the variable, but is presently inconsistent or otherwise unable to be assigned to the variable. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_RESOURCEUNAVAILABLE

    public static final byte SNMP_ERR_RESOURCEUNAVAILABLE

  The assignment of the value specified by the variable binding's value field to the specified variable requires the allocation of a resource which is presently unavailable. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_COMMITFAILED

    public static final byte SNMP_ERR_COMMITFAILED

  Any of the assignments failed and all other assignments were undone. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_UNDOFAILED

    public static final byte SNMP_ERR_UNDOFAILED

  Any of the assignments failed and all other assignments were undone, but is was not possible to undo all the assignments. Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_AUTHORIZATIONERR

    public static final byte SNMP_ERR_AUTHORIZATIONERR

  Users is has no access privileges. Used in SNMPv2c, SNMPv3.

  See Also:
    Constant Field Values

### SNMP_ERR_NOTWRITABLE

    public static final byte SNMP_ERR_NOTWRITABLE

  - There are no variables which share the same OBJECT IDENTIFIER prefix as the variable binding's name, and which are able to be created or modified no matter what new value is specified.
  - The variable binding's name specifies a variable which exists but can not be modified no matter what new value is specified.
  Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_INCONSISTENTNAME

    public static final byte SNMP_ERR_INCONSISTENTNAME

  The variable binding's name specifies a variable which does not exist but can not be created under the present circumstances (even though it could be created under other circumstances). Used in response to SNMPv2c, SNMPv3 SetRequest.

  See Also:
    Constant Field Values

### SNMP_ERR_DECODING_EXC

    public static final byte SNMP_ERR_DECODING_EXC

  A general decoding exception occured whilst decoding the response.

  See Also:
    Constant Field Values

### SNMP_ERR_DECODINGASN_EXC

    public static final byte SNMP_ERR_DECODINGASN_EXC

  A specific decoding exception occured whilst decoding the response. The response PDU being decoded has a sub length wrong (not overall length necessarily), so the asn sequence can't get created.

  See Also:
    Constant Field Values

### SNMP_ERR_DECODINGPKTLNGTH_EXC

    public static final byte SNMP_ERR_DECODINGPKTLNGTH_EXC

  A specific decoding exception occured whilst decoding the response. The received overall response PDU is shorter than the PDU header says it is.

  See Also:
    Constant Field Values

### SNMP_VERSION_1

    public static final byte SNMP_VERSION_1

  The version number for SNMPv1.

  See Also:
    Constant Field Values

### SNMP_VERSION_2c

    public static final byte SNMP_VERSION_2c

  The version number for SNMPv2c.

  See Also:
    Constant Field Values

### SNMP_VERSION_3

    public static final byte SNMP_VERSION_3

  The version number for SNMPv3.

  See Also:
    Constant Field Values

### GET_REQ_MSG

    public static final byte GET_REQ_MSG

  The GetRequest PDU type.

  See Also:
    Constant Field Values

### GETNEXT_REQ_MSG

    public static final byte GETNEXT_REQ_MSG

  The GetNextRequest PDU type.

  See Also:
    Constant Field Values

### GET_RSP_MSG

    public static final byte GET_RSP_MSG

  The Response PDU type.

  See Also:
    Constant Field Values

### SET_REQ_MSG

    public static final byte SET_REQ_MSG

  The SetRequest PDU type.

  See Also:
    Constant Field Values

### TRP_REQ_MSG

    public static final byte TRP_REQ_MSG

  The SNMPv1 Trap PDU type.

  See Also:
    Constant Field Values

### GETBULK_REQ_MSG

    public static final byte GETBULK_REQ_MSG

  The GetBulkRequest PDU type.

  See Also:
    Constant Field Values

### INFORM_REQ_MSG

    public static final byte INFORM_REQ_MSG

  The InformRequest PDU type.

  See Also:
    Constant Field Values

### TRPV2_REQ_MSG

    public static final byte TRPV2_REQ_MSG

  The SNMPv2 (and SNMPv3) Trap PDU type.

  See Also:
    Constant Field Values

### GET_RPRT_MSG

    public static final byte GET_RPRT_MSG

  The GetReport PDU type.

  See Also:
    Constant Field Values

### CONS_SEQ

    public static final byte CONS_SEQ

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD